Index: c/src/lib/libbsp/sh/simsh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision ac2be67747af19b74d50710ad565ea756da25935)
@@ -1,2 +1,11 @@
+2004-01-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in clock/Makefile.am, console/Makefile.am,
+	startup/Makefile.am, timer/Makefile.am, wrapup/Makefile.am. Use automake
+	compilation rules.
+	* clock/Makefile.am, console/Makefile.am, startup/Makefile.am,
+	timer/Makefile.am, wrapup/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2004-01-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/simsh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ c/src/lib/libbsp/sh/simsh4/Makefile.am	(revision ac2be67747af19b74d50710ad565ea756da25935)
@@ -8,8 +8,9 @@
 include $(top_srcdir)/../../bsp.am
 
-## wrapup is the one that actually builds and installs the library
-## from the individual .rel files built in other directories
-SUBDIRS = . startup console clock timer wrapup
-SUBDIRS += tools
+EXTRA_PROGRAMS =
+CLEANFILES =
+noinst_DATA =
+
+SUBDIRS = . tools
 
 # FIXME: This directory is missing
@@ -20,13 +21,89 @@
 include_HEADERS += include/coverhd.h
 
-S_FILES = start/start.S
-$(ARCH)/%$(LIB_VARIANT).$(OBJEXT): start/start.S $(ARCH)/$(dirstamp)
+EXTRA_DIST = start/start.S
+start$(LIB_VARIANT).$(OBJEXT): start/start.S
 	${CCASCOMPILE} -DASM -o $@ -c $<
+project_lib_DATA = start$(LIB_VARIANT).$(OBJEXT)
 
-project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
+dist_project_lib_DATA += startup/linkcmds startup/linkcmds-le \
+    startup/linkcmds-le.coff
+
+EXTRA_PROGRAMS += startup.rel
+CLEANFILES += startup.rel
+startup_rel_SOURCES = startup/hw_init.c ../../shared/bsplibc.c \
+    ../../shared/bsppost.c startup/bspstart.c ../../shared/bspclean.c \
+    ../../shared/sbrk.c ../../shared/bootcard.c ../../shared/main.c \
+    ../../shared/gnatinstallhandler.c
+startup_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += startup_g.rel
+CLEANFILES += startup_g.rel
+startup_g_rel_SOURCES = $(startup_rel_SOURCES)
+startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += startup$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += console.rel
+CLEANFILES += console.rel
+console_rel_SOURCES = console/console.c
+console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += console_g.rel
+CLEANFILES += console_g.rel
+console_g_rel_SOURCES = $(console_rel_SOURCES)
+console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += console$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += clock.rel
+CLEANFILES += clock.rel
+clock_rel_SOURCES = clock/ckinit.c
+clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += clock_g.rel
+CLEANFILES += clock_g.rel
+clock_g_rel_SOURCES = $(clock_rel_SOURCES)
+clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += clock$(LIB_VARIANT).rel
+
+EXTRA_PROGRAMS += timer.rel
+CLEANFILES += timer.rel
+timer_rel_SOURCES = timer/timer.c
+timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
+timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+EXTRA_PROGRAMS += timer_g.rel
+CLEANFILES += timer_g.rel
+timer_g_rel_SOURCES = $(timer_rel_SOURCES)
+timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
+timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+
+noinst_DATA += timer$(LIB_VARIANT).rel
+
+EXTRA_LIBRARIES = libbsp.a
+CLEANFILES += libbsp.a
+libbsp_a_SOURCES =
+libbsp_a_LIBADD = startup$(LIB_VARIANT).rel console$(LIB_VARIANT).rel \
+    clock$(LIB_VARIANT).rel timer$(LIB_VARIANT).rel
+# FIXME: This is missing.
+# libbsp_a_LIBADD += ramdisk$(LIB_VARIANT).rel
+libbsp_a_LIBADD += \
+    ../../../libcpu/@RTEMS_CPU@/@RTEMS_CPU_MODEL@/score$(LIB_VARIANT).rel
+
+EXTRA_LIBRARIES += libbsp_g.a
+CLEANFILES += libbsp_g.a
+libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
+libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
+
+noinst_DATA += libbsp$(LIB_VARIANT).a
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-EXTRA_DIST = $(S_FILES)
 
 PREINSTALL_DIRS =
@@ -45,12 +122,23 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
 TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
 
-CLEANFILES = $(PREINSTALL_FILES)
+$(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
+TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds
+
+$(PROJECT_LIB)/linkcmds-le: startup/linkcmds-le $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds-le
+TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds-le
+
+$(PROJECT_LIB)/linkcmds-le.coff: startup/linkcmds-le.coff $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds-le.coff
+TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds-le.coff
+
+CLEANFILES += $(PREINSTALL_FILES)
 DISTCLEANFILES = $(PREINSTALL_DIRS)
 CLEANFILES += $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/sh/simsh4/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/clock/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/clock.rel
-
-C_FILES = ckinit.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = ckinit.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/sh/simsh4/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/simsh4/configure.ac	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ c/src/lib/libbsp/sh/simsh4/configure.ac	(revision ac2be67747af19b74d50710ad565ea756da25935)
@@ -36,10 +36,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-console/Makefile
-startup/Makefile
-clock/Makefile
-timer/Makefile
-wrapup/Makefile
-])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/lib/libbsp/sh/simsh4/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/console/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ 	(revision )
@@ -1,29 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/console.rel
-
-C_FILES = console.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by
-# 	../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/sh/simsh4/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ 	(revision )
@@ -1,52 +1,0 @@
-##
-## $Id$
-##
-
-VPATH = @srcdir@:@srcdir@/../../shared:@srcdir@/../../../shared
-
-PGM = $(ARCH)/startup.rel
-
-C_FILES = hw_init.c bsplibc.c bsppost.c bspstart.c bspclean.c sbrk.c \
-    bootcard.c main.c gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-project_lib_DATA = linkcmds linkcmds-le linkcmds-le.coff
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-all-local: $(TMPINSTALL_FILES) $(PGM)
-
-EXTRA_DIST = bspstart.c hw_init.c linkcmds linkcmds-le linkcmds-le.coff
-
-TMPINSTALL_FILES =
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-TMPINSTALL_FILES += $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/linkcmds: linkcmds $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
-TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds
-
-$(PROJECT_LIB)/linkcmds-le: linkcmds-le $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds-le
-TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds-le
-
-$(PROJECT_LIB)/linkcmds-le.coff: linkcmds-le.coff $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds-le.coff
-TMPINSTALL_FILES += $(PROJECT_LIB)/linkcmds-le.coff
-
-CLEANFILES = $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/sh/simsh4/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/timer/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ 	(revision )
@@ -1,32 +1,0 @@
-##
-## $Id$
-##
-
-PGM = $(ARCH)/timer.rel
-
-C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-S_FILES =
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(C_O_FILES) $(S_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(PGM): $(OBJS)
-	$(make-rel)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-
-all-local: $(OBJS) $(PGM)
-
-.PRECIOUS: $(PGM)
-
-EXTRA_DIST = timer.c
-
-include $(top_srcdir)/../../../../automake/local.am
Index: src/lib/libbsp/sh/simsh4/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/wrapup/Makefile.am	(revision ca587d59683eb7a63c64e19e68b86e673acf1afd)
+++ 	(revision )
@@ -1,24 +1,0 @@
-##
-## $Id$
-##
-## build and install libbsp
-##
-
-BSP_PIECES = startup console clock timer
-
-# FIXME: This is missing.
-# BSP_PIECES = ramdisk
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/$(piece).rel) \
-    ../../../../libcpu/@RTEMS_CPU@/@RTEMS_CPU_MODEL@/score$(LIB_VARIANT).rel
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-
-$(ARCH)/libbsp.a: $(OBJS)
-	$(make-library)
-
-noinst_DATA = $(ARCH)/libbsp.a
-
-include $(top_srcdir)/../../../../automake/local.am
